package com.ruoyi.ibs.dashboard.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.ruoyi.common.annotation.DataScope;
import com.ruoyi.common.annotation.DataSource;
import com.ruoyi.common.enums.DataSourceType;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.common.utils.StringUtils;
import com.ruoyi.ibs.dashboard.domain.LscjSysuser;
import com.ruoyi.ibs.dashboard.mapper.LscjSysuserMapper;
import com.ruoyi.ibs.dashboard.service.ILscjSysuserService;
import com.ruoyi.ibs.grid.domain.entity.GridAreaFence;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;



/**
 * 【请填写功能名称】Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-08-04
 */
@Service
public class LscjSysuserServiceImpl implements ILscjSysuserService
{
    @Autowired
    private LscjSysuserMapper lscjSysuserMapper;

    /**
     * 查询【请填写功能名称】
     * 
     * @param orgId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public LscjSysuser selectLscjSysuserByOrgId(String orgId)
    {
        return lscjSysuserMapper.selectLscjSysuserByOrgId(orgId);
    }

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param lscjSysuser 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<LscjSysuser> selectLscjSysuserList(LscjSysuser lscjSysuser)
    {
        lscjSysuser.setOrgId(SecurityUtils.getDeptId().toString());
        return lscjSysuserMapper.selectLscjSysuserList(lscjSysuser);

    }

    @Override
    public int selectLscjSysuserListCount(LscjSysuser lscjSysuser)
    {
        lscjSysuser.setOrgId(SecurityUtils.getDeptId().toString());
        return lscjSysuserMapper.selectLscjSysuserListCount(lscjSysuser);

    }
    /**
     * 新增【请填写功能名称】
     * 
     * @param lscjSysuser 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertLscjSysuser(LscjSysuser lscjSysuser)
    {
        return lscjSysuserMapper.insertLscjSysuser(lscjSysuser);
    }

    /**
     * 修改【请填写功能名称】
     * 
     * @param lscjSysuser 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateLscjSysuser(LscjSysuser lscjSysuser)
    {
        return lscjSysuserMapper.updateLscjSysuser(lscjSysuser);
    }

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param orgIds 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteLscjSysuserByIds(String[] ids)
    {
        return lscjSysuserMapper.deleteLscjSysuserByIds(ids);
    }


}
